## gff2aplot 2.0

=== Makefile ===
# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
#
#                   INSTALLING GFF2APLOT FILES
#
# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
#
#               The following Makefile was developed
#     on a Red Hat Linux box running on GNU Make version 3.79.1 
#
# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
#
#     Copyright (C) 1999-2003 - Josep Francesc ABRIL FERRANDO
#                                       Thomas WIEHE
#                                      Roderic GUIGO SERRA
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
#
# $Id: dist_Makefile,v 1.1 2003/03/17 17:58:46 jabril Exp $
#
# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
#
#  INSTALLDIR is the only variable that should be modified
#    (unless you were not using GNUmake, of course, because in such
#     case you must fix all the GNUmake specific commands... ;^D).
#
# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
#
### PATHS

       BBIN = /bin
       UBIN = /usr/bin
       LBIN = /usr/local/bin
 #%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 #  REMEMBER: INSTALLDIR is the only variable that should be modified
 INSTALLDIR = $(LBIN)
 #%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

#
### MAKE VARS

.PHONY    : clean cleanall forceall
.DEFAULT  : all
.PRECIOUS : %.sh %.awk %.pl %.pm %.ps %.tgz %.gz \
            %.rc %.gff %.gb %.fa README
.SECONDARY :
.SUFFIXES :

#
### INTERPRETERS

       DATE = $(shell date)
       USER = $(shell whoami)
       GAWK = $(firstword $(shell which gawk))
      GAWKV = $(shell $(GAWK) --version | \
                $(GAWK) '$$0 ~ /^GNU Awk/ { print $$0; }')
       BASH = $(firstword $(shell which bash))
      BASHV = $(shell $(BASH) --version | \
                $(GAWK) '$$0 ~ /^GNU bash/ { print $$0; }')
       PERL = $(firstword $(shell which perl))
      PERLV = $(shell $(PERL) --version | \
                $(GAWK) '$$0 ~ /^This/ { \
                           gsub(/^This is perl,[ \t]+/,"",$$0); \
                           print $$0; \
                         }') #'
#
### COMMANDS
# You can update the following paths to your system settings

          V = -v

         RM = $(firstword $(shell which rm   )) $(V)
         RD = $(firstword $(shell which rmdir)) $(V)
         CP = $(firstword $(shell which cp   )) $(V)
         MV = $(firstword $(shell which mv   )) $(V)
         LN = $(firstword $(shell which ln   )) $(V)
         MD = $(firstword $(shell which mkdir)) $(V)
        CHM = $(firstword $(shell which chmod)) -c 
        CHO = $(firstword $(shell which chown)) -c

#
### LOCAL PATHS

       WORK = .
        SRC = $(WORK)/src
        BIN = $(WORK)/bin

#
### LOCAL VARS

     BINEXT = .sh .awk .pl .pm

  GFF2APLOT = gff2aplot.pl
 PARSEBLAST = parseblast.pl
   BLAT2GFF = blat2gff.pl
    SIM2GFF = sim2gff.pl
    ALI2GFF = ali2gff

   ALI2GFFD = $(SRC)/ali2gff

    SRCCODE = $(GFF2APLOT) $(PARSEBLAST) \
              $(BLAT2GFF) $(SIM2GFF) $(ALI2GFF)
    BINCODE = $(addprefix $(BIN)/, $(SRCCODE))

#
### MAKE RULES

all: header main trailer

test :
	@echo "### SORRY !!! Tests were not implemented yet...";

install : header installbin trailer

forceall : header cleanbin main trailer

clean : header cleanbin trailer

cleanall : header cleanbin trailer

cleanbin :
	-@$(RM) -f $(wildcard $(BIN)/*);

main : $(BINCODE)
	@$(CHM) 755 $^;

installbin : $(BINCODE)
	@echo "### COPYING BIN FILES TO $(INSTALLDIR)...";
	@$(CP) -p $^ $(INSTALLDIR)/;

#
### FINISHING CODE

$(addprefix $(BIN)/, $(ALI2GFF)) : $(addprefix $(ALI2GFFD)/, $(ALI2GFF))
	@${CP} $(addprefix $(ALI2GFFD)/, $(ALI2GFF)) \
           $(addprefix $(BIN)/, $(ALI2GFF))

$(addprefix $(ALI2GFFD)/, $(ALI2GFF)) : $(addprefix $(addprefix $(ALI2GFFD)/, $(ALI2GFF)), .h .c)
	@echo "### Making ALI2GFF..."
	@cd $(ALI2GFFD); \
	 $(MAKE) -f ./Makefile;

$(addprefix $(BIN)/, %.sh) : $(addprefix $(SRC)/, %.sh)
	@echo "### Finishing BASH script from \"$<\" -> \"$@\"" ;
	@( echo "#!$(BASH)"; cat $< ) > $@;

$(addprefix $(BIN)/, %.awk) : $(addprefix $(SRC)/, %.awk)
	@echo "### Finishing GAWK script from \"$<\" -> \"$@\"" ;
	@( echo "#!$(GAWK) -f"; cat $< ) > $@;

$(addprefix $(BIN)/, %.pl) : $(addprefix $(SRC)/, %.pl)
	@echo "### Finishing PERL script from \"$<\" -> \"$@\"" ;
	@( echo "#!$(PERL) -w"; cat $< ) > $@;

$(addprefix $(BIN)/, %.pm) : $(addprefix $(SRC)/, %.pm)
	@echo "### Finishing PERL module from \"$<\" -> \"$@\"" ;
	@$(CP) -u $< $@ ;

isexec : $(BINCODE)
	@$(CHM) 755 $<;

#
### INFO RULES

info : header getinfo trailer

getinfo :
	@echo "### BASH ###  $(BASH)  ###  $(BASHV)";
	@echo "### GAWK ###  $(GAWK)  ###  $(GAWKV)";
	@echo "### PERL ###  $(PERL)  ###  $(PERLV)";

header :
	@echo "###";
	@echo "### RUNNING MAKEFILE";
	@echo "###";
	@echo "### $(DATE) -- $(USER)";
	@echo "###";

trailer :
	@echo "###";
	@echo "### MAKEFILE DONE...";
	@echo "###";

=== src/ali2gff/Makefile ===
#****************************************************************************
#
#	Copyright (C) 2001 Steffi Gebauer-Jung
#				  Max-Planck-Institute of Chemical Ecology
#				  Jena, Germany															
#                 All rights reserved.
#
# Language:     ANSI C
#
# Description:	Makefile for ali2gff
#
# $Id: Makefile,v 1.3 2001/09/26 16:01:50 steffi Exp $
#
#***************************************************************************/

CC = gcc -Wall

.PHONY    : clean print	
.DEFAULT  : all
.SUFFIXES :

all : ali2gff

ali2gff : ali2gff.c ali2gff.h Makefile
	@$(CC) -o ali2gff ali2gff.c;
	@chmod 755 ali2gff

clean :
	-@rm -f ali2gff

=== debian/changelog ===
gff2aplot (2.0-6) unstable; urgency=low

  * debian/control
    - Added myself as Uploader
    - Standards-Version: 3.9.1 (no changes needed)
    - debhelper 7 (actually >= 7.1)
    - Fixed Spelling of Debian Med team
    - Build-Depends: removed cdbs, added quilt
  * debian/source/format: 3.0 (quilt)
  * debian/rules: rewritten to use dh
  * debian/patches: use quilt
  * debian/patches/01-makefile.diff: Removed because unneeded
    with current packaging
  * debian/{examples,install,manpages}: added

 -- Andreas Tille <tille@debian.org>  Tue, 25 Jan 2011 13:32:41 +0100

gff2aplot (2.0-5) unstable; urgency=low

  * Updated Standards-Version;
  * Changed Maintainer to the Debian-Med Packaging Team;
  * Added new Homepage field;
  * Added Vcs-* fields.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Sun, 24 Feb 2008 00:25:43 -0300

gff2aplot (2.0-4) unstable; urgency=low

  * Updated patches/01-makefile.diff, so ali2gff doesn't get stripped when
    using DEB_BUILD_OPTIONS=nostrip (Closes: #436975);
  * Updated maintainer email;
  * Updated Standards-Version to 3.7.2;
  * Updated compat version to 5;
  * Updated watch file.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Thu, 09 Aug 2007 17:16:13 -0300

gff2aplot (2.0-3) unstable; urgency=low

  * Not using DEB_AUTO_UPDATE_DEBIAN_CONTROL of CDBS anymore;
  * Updated Standards-Version to 3.6.1.1 (no modifications needed).

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Thu,  2 Jun 2005 20:26:19 -0300

gff2aplot (2.0-2) unstable; urgency=low

  * debian/rules: fix DEB_AUTO_UPDATE_DEBIAN_CONTROL position;
  * debian/control: changed ps-viewer to postscript-viewer on Suggests field;
  * debian/control: corrected indentation of description;
  * Included watch file.

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Tue, 12 Apr 2005 14:16:53 -0300

gff2aplot (2.0-1) unstable; urgency=low

  * Initial Release (Closes: #300828)

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Mon, 21 Mar 2005 20:30:45 -0300

=== debian/control ===
Source: gff2aplot
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Nelson A. de Oliveira <naoliv@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: cdbs, debhelper (>= 7.1), quilt (>= 0.47)
Standards-Version: 3.9.1
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/gff2aplot/trunk/
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/gff2aplot/trunk/
Homepage: http://genome.imim.es/software/gfftools/GFF2APLOT.html

Package: gff2aplot
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Suggests: postscript-viewer, gff2ps
Description: pair-wise alignment-plots for genomic sequences in PostScript
 A program to visualize the alignment of two genomic sequences together with
 their annotations. From GFF-format input files it produces PostScript figures
 for that alignment.
 The following menu lists many features of gff2aplot:
  * Comprehensive alignment plots for any GFF-feature. Attributes are defined
    separately so you can modify only whatsoever attributes for a given file or
    share same customization across different data-sets.
  * All parameters are set by default within the program, but it can be also
    fully configured via gff2ps-like flexible customization files. Program can
    handle several of such files, summarizing all the settings before producing
    the corresponding figure. Moreover, all customization parameters can be set
    via command-line switches, which allows users to play with those parameters
    before adding any to a customization file.
  * Source order is taken from input files, if you swap file order you can
    visualize alignment and its annotation with the new input arrangement.
  * All alignment scores can be visualized in a PiP box below gff2aplot area,
    using grey-color scale, user-defined color scale or score-dependent
    gradients.
  * Scalable fonts, which can also be chosen among the basic PostScript default
    fonts. Feature and group labels can be rotated to improve readability in
    both annotation axes.
  * The program is still defined as a Unix filter so it can handle data from
    files, redirections and pipes, writing output to standard-output and
    warnings to standard error.
  * gff2aplot is able to manage many physical page formats (from A0 to A10, and
    more -see available page sizes in its manual-), including user-defined ones.
    This allows, for instance, the generation of poster size genomic maps, or
    the use of a continuous-paper supporting plotting device, either in portrait
    or landscape.
  * You can draw different alignments on same alignment plot and distinguish
    them by using different colors for each.
  * Shape dictionary has been expanded, so that further feature shapes are now
    available (see manual).
  * Annotation projections through alignment plots (so called ribbons) emulate
    transparencies via complementary color fill patterns. This feature allows
    to show color pseudo-blending when horizontal and vertical ribbons overlap.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for gff2aplot using dh
# Andreas Tille <tille@debian.org>
# GPL

%:
	dh $@ --with quilt

# Upstream is missing to clean some files
override_dh_auto_clean:
	rm -f src/ali2gff/ali2gff bin/ali2gff

# We need to rename some *.pl files
override_dh_auto_install:
	for script in `find bin -name "*.pl"` ; do mv $$script bin/`basename $$script .pl` ; done

=== debian/watch ===
version=3
ftp://genome.imim.es/pub/software/gff_tools/gff2aplot/gff2aplot-v(.*)\_(.*)\.tar\.gz
